<template>
  <div id="wrapper" v-if="route.meta.layout == false">
    <topbar></topbar>

    <navbar></navbar>

    <div class="content-page">
      <div class="content">
        <router-view></router-view>
      </div>
    </div>

    <footer></footer>
  </div>
  <div v-else>
    <router-view></router-view>
  </div>
</template>



<script setup>
import { onMounted } from "@vue/runtime-core";
import { useRoute, RouterView } from "vue-router";
import { useAuthStore } from "./stores/auth";
import Footer from "@/shared/Footer.vue";
import Navbar from "@/shared/Navbar.vue";
import Topbar from "@/shared/Topbar.vue";
const authStore=useAuthStore()
const route = useRoute();
onMounted(() => {
const timeoutInMS = 180000; // 3 minutes -> 3 * 60 * 1000
let timeoutId;
  
function handleInactive() {
    authStore.logout()
}

function startTimer() { 
    // setTimeout returns an ID (can be used to start or clear a timer)
    timeoutId = setTimeout(handleInactive, timeoutInMS);
}

function resetTimer() { 
    clearTimeout(timeoutId);
    startTimer();
}
 
function setupTimers () {
    document.addEventListener("keypress", resetTimer, false);
    document.addEventListener("mousemove", resetTimer, false);
    document.addEventListener("mousedown", resetTimer, false);
    document.addEventListener("touchmove", resetTimer, false);
     
    startTimer();
}
setupTimers()
});
</script>

<style>
</style>